<?php

//custom menu location

function wpb_custom_new_menu() {

  register_nav_menu(
  
  'my-custom-menu',__( 'Quick Links Menu' ));
  

}

add_action( 'init', 'wpb_custom_new_menu' );
function wpb_custom_new_servicemenu() {

  register_nav_menu(
  
  'my-custom-menu',__( 'Service Links Menu' ));
  

}

add_action( 'init', 'wpb_custom_new_servicemenu' );

/*add_filter('nav_menu_css_class' , 'special_nav_class' , 10 , 2);

function special_nav_class ($classes, $item) {
  if (in_array('current-menu-item', $classes) ){
    $classes[] = 'active ';
  }
  
  return $classes;
}


function wpse_218377_nav_menu_css_class( $classes, $item, $args ) {
    if ( ! empty( $args->theme_location ) && $args->theme_location === 'sidemenu' ) {
        $classes[] = 'arch-sel';
    }

    // ALWAYS return, not from inside the if
    return $classes;
}

add_filter( 'nav_menu_css_class' , 'wpse_218377_nav_menu_css_class' , 10, 3 );*/


function wpb_custom_new_side_menu() {

  //register_nav_menu('my-custom-menu',__( 'Side Menu' ));
  register_nav_menus(
        array(
            'my-custom-menu' => __( 'Side Menu' ),
            //'useful-menu' => __( 'Usefull Links Menu' )
        )
    );

}

add_action( 'init', 'wpb_custom_new_side_menu' );

/*function wpb_custom_new_usefullinks_menu() {

  register_nav_menu('my-custom-usefullmenu',__( 'Usefull Links Menu' ));

}

add_action( 'init', 'wpb_custom_new_usefullinks_menu' );
*/


/*function my_custom_footer_copyright() {

    register_sidebar(

        array (

            'name' => __( 'Copyright', 'asf' ),

            'id' => 'custom-footer-copyright',

            'description' => __( 'Copyright', 'asf' ),

            'before_widget' => '<span>',

            'after_widget' => "</span>",

            //'before_title' => '<h6 >',

            //'after_title' => '</h6>',

        )

    );

}

add_action( 'widgets_init', 'my_custom_footer_copyright' );*/










function extractUTubeVidId($url){



    /*



    * type1: http://www.youtube.com/watch?v=9Jr6OtgiOIw



    * type2: http://www.youtube.com/watch?v=9Jr6OtgiOIw&feature=related



    * type3: http://youtu.be/9Jr6OtgiOIw



    */



    $vid_id = "";



    $flag = false;



    if(isset($url) && !empty($url)){



        /*case1 and 2*/



        $parts = explode("?", $url);



        if(isset($parts) && !empty($parts) && is_array($parts) && count($parts)>1){



            $params = explode("&", $parts[1]);



            if(isset($params) && !empty($params) && is_array($params)){



                foreach($params as $param){



                    $kv = explode("=", $param);



                    if(isset($kv) && !empty($kv) && is_array($kv) && count($kv)>1){



                        if($kv[0]=='v'){



                            $vid_id = $kv[1];



                            $flag = true;



                            break;



                        }



                    }



                }



            }



        }







        /*case 3*/



        if(!$flag){



            $needle = "youtu.be/";



            $pos = null;



            $pos = strpos($url, $needle);



            if ($pos !== false) {



                $start = $pos + strlen($needle);



                $vid_id = substr($url, $start, 11);



                $flag = true;



            }



        }



    }



    return $vid_id;



}	



if ( ! class_exists('PREFIX_Menu_Walker')) {

    class PREFIX_Menu_Walker extends Walker_Nav_Menu {

        public function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {

		  

            $after = property_exists($args, 'link_after') ? $args->link_after : '';



            // Empty the `link_before` when walking over a root level element

            if ($depth <= 0 && !empty($after)) {

                $args->link_after = '';

            }



            // Continue with the default/core wordpress nav menu walker class

            parent::start_el( $output, $item, $depth, $args, $id );



            // Remember what `link_before` $args where set.

            $args->link_after = $after;

        }

    }

}







class add_span_walker extends Walker_Nav_Menu {

    function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {

        global $wp_query;

        $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';



        $class_names = '';

$item->classes=array();

        $classes = empty( $item->classes ) ? array() : (array) $item->classes;

        $classes[] = 'menu-item-' . $item->ID;
        if (in_array("menu-item-has-children", $item->classes)) {$classes[]='has-dropdown';}


        $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );

        $class_names = $class_names ? ' class="' . esc_attr( $class_names ) . '"' : '';



        $id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );

        $id = $id ? ' id="' . esc_attr( $id ) . '"' : '';



        $output .= $indent . '<li' . $id . $class_names .'>';



        $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';

        $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';

        $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';

        $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';

        $isparentclass="";
		$item_output='';
        if(isset($args->before))
	    {
           $item_output = $args->before;
        }
		if (in_array("menu-item-has-children", $item->classes)) {$isparentclass="";$toggle='';}else{$toggle='';}

        $item_output .= '<a'. $attributes .' class="'.$isparentclass.'" '.$toggle.'>';
		$link_before='';if(isset($args->link_before))
		{
		   $link_before=$args->link_before;
		}

        $link_after='';if(isset($args->link_after))
		{
		   $link_after=$args->link_after;
		}
		$item_output .= $link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $link_after;



        if ( isset($args->theme_location)&&'menu-1' == $args->theme_location  ) {

            /*$submenus = 0 == $depth || 1 == $depth ? get_posts( array( 'post_type' => 'nav_menu_item', 'numberposts' => 1, 'meta_query' => array( array( 'key' => '_menu_item_menu_item_parent', 'value' => $item->ID, 'fields' => 'ids' ) ) ) ) : false;

            $item_output .= ! empty( $submenus ) ? ( 0 == $depth ? '<span class="arrow"></span>' : '<span class="sub-arrow"></span>' ) : '';*/

			/*if (in_array("menu-item-has-children", $item->classes)) {

				$item_output .='<span class="glyphicon glyphicon-chevron-down"></span> <span class="glyphicon glyphicon-chevron-up"></span>';

			}*/

			

        }

        $item_output .= '</a>';
        if(isset($args->after))
		{
           $item_output .= $args->after;
        }
           

        $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );

		/**/

    }

	function start_lvl( &$output, $depth = 0, $args = array() ) {



			$indent = str_repeat("\t", $depth);

	

			$output .= "\n$indent<ul class='submenu'>\n";

	

		}

	

		function end_lvl( &$output, $depth = 0, $args = array() ) {

	

			$indent = str_repeat("\t", $depth);

	

			$output .= "$indent</ul>\n";

	

		}

}


///////////////////////////////////////////////////////////


/*add_theme_support( 'title-tag' );


add_theme_support( 'post-thumbnails' );

add_image_size( 'post-thumbnails size', 98, 98,true);

add_image_size( 'featured-thumb size', 416, 320 ,true);

add_image_size( 'portfolio-thumb size', 450, 376 ,true);

add_image_size( 'upcoming-thumb size', 847, 356 ,true);

add_image_size( 'newsletter-thumb size', 252, 186 ,true);*/


//add_image_size( 'single-events', 600, 400, true );


// This theme uses wp_nav_menu() in two locations.
function university_features() {
add_theme_support('title-tag');
add_theme_support('post-thumbnails');
add_image_size( 'post-thumbnails size', 98, 98,true);

add_image_size( 'testimonial-thumb size', 92, 92,true);

add_image_size( 'event-thumb size', 611, 375,true);

add_image_size( 'featured-thumb size', 416, 320 ,true);

add_image_size( 'portfolio-thumb size', 450, 376 ,true);

add_image_size( 'servicedetail-thumb size', 1500, 700 ,true);

add_image_size( 'servicelist-thumb size', 800, 706 ,true);

add_image_size( 'visionmission-thumb size', 326, 418 ,true);

add_image_size( 'leadershipmain-thumb size', 563, 563 ,true);

add_image_size( 'leadershipsub-thumb size', 325, 325 ,true);
}
add_action('after_setup_theme', 'university_features');


// This theme uses wp_nav_menu() in two locations.
/*function university_features() {
add_theme_support('title-tag');
add_theme_support('post-thumbnails');

add_image_size( 'post-thumbnails size', 98, 98,true);

add_image_size( 'bannerbg-thumb size', 2440, 1578,true);

add_image_size( 'servicebig-thumb size', 1500, 700,true);
add_image_size( 'servicesmall-thumb size', 800, 900,true);
add_image_size( 'servicebanner-thumb size', 2440, 1578,true);

add_image_size( 'galindex-thumb size', 800, 600,true);
add_image_size( 'gallist-thumb size', 800, 800,true);
add_image_size( 'galdetail-thumb size', 1500, 700,true);

add_image_size( 'blogindex-thumb size', 800, 600,true);
add_image_size( 'blogdetail-thumb size', 1500, 700,true);
add_image_size( 'blogbanner-thumb size', 2440, 1578,true);

}
add_action('after_setup_theme', 'university_features');*/

register_nav_menus(



	array(


		'menu-1' => __( 'Primary', 'vrv' ),

        'sidemenu' => __( 'Side Menu', 'vrv' ),


        'menu-useful' => __( 'Quick Links Menu', 'vrv' ),


		'footer' => __( 'Footer Menu', 'vrv' ),


		'service' => __( 'Service Links Menu', 'vrv' ),


	)


);





add_theme_support(



	'custom-logo',

	array(

		'flex-width'  => true,


		'flex-height' => true,


	)


);







/* Filter Tiny MCE Default Settings */



add_filter( 'tiny_mce_before_init', 'my_switch_tinymce_p_br' );





function my_switch_tinymce_p_br( $settings ) {



    $settings['forced_root_block'] = false;



    return $settings;



}

///////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////
//remove description





function disallowed_admin_pages() {


	global $pagenow;


	
	if ( $pagenow == 'edit.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'home' ) {


		wp_redirect( admin_url( '/post.php?post=29&action=edit' ) );//29 in local//29in live

		exit;

	}/**/
	
	if ( $pagenow == 'post-new.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'home' ) {


		wp_redirect( admin_url( '/post.php?post=29&action=edit' ) );//29 in local//29in live

		exit;

	}
	if ( $pagenow == 'edit.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'service-section' ) {


		wp_redirect( admin_url( '/post.php?post=28&action=edit' ) );//29 in local//29in live

		exit;

	}
	if ( $pagenow == 'post-new.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'service-section' ) {


		wp_redirect( admin_url( '/post.php?post=28&action=edit' ) );//29 in local//29in live

		exit;

	}
	
	if ( $pagenow == 'edit.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'service-list-widget' ) {


		wp_redirect( admin_url( '/post.php?post=53&action=edit' ) );//29 in local//29in live

		exit;

	}/**/
	if ( $pagenow == 'post-new.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'service-list-widget' ) {


		wp_redirect( admin_url( '/post.php?post=53&action=edit' ) );//29 in local//29in live

		exit;

	}
	
	if ( $pagenow == 'edit.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'gallery_section' ) {


		wp_redirect( admin_url( '/post.php?post=43&action=edit' ) );//29 in local//29in live

		exit;

	}/**/
	if ( $pagenow == 'post-new.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'gallery_section' ) {


		wp_redirect( admin_url( '/post.php?post=43&action=edit' ) );//29 in local//29in live

		exit;

	}
	
	
	if ( $pagenow == 'edit.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'blog_section' ) {


		wp_redirect( admin_url( '/post.php?post=49&action=edit' ) );//29 in local//29in live

		exit;

	}/**/
	if ( $pagenow == 'post-new.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'blog_section' ) {


		wp_redirect( admin_url( '/post.php?post=49&action=edit' ) );//29 in local//29in live

		exit;

	}
	
	
	
	
	
	if ( $pagenow == 'edit.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'branding' ) {


		wp_redirect( admin_url( '/post.php?post=139&action=edit' ) );////139 in live

		exit;

	}
	
	
	if ( $pagenow == 'edit.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'about' ) {


		wp_redirect( admin_url( '/post.php?post=156&action=edit' ) );////139 in live

		exit;

	}
	
	if ( $pagenow == 'edit.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'family' ) {


		wp_redirect( admin_url( '/post.php?post=184&action=edit' ) );////139 in live

		exit;

	}
	
	if ( $pagenow == 'edit.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'business' ) {


		wp_redirect( admin_url( '/post.php?post=195&action=edit' ) );////139 in live

		exit;

	}
	
	if ( $pagenow == 'edit.php' && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'leadership' ) {


		wp_redirect( admin_url( '/post.php?post=211&action=edit' ) );////139 in live

		exit;

	}
	
	
	
}



add_action( 'admin_init', 'disallowed_admin_pages' );



function my_custom_footer1() {



				register_sidebar(



					array (



						'name' => __( 'Quick Links', 'vrv' ),



						'id' => 'custom-footer-quicklinks',



						'description' => __( 'Quick Links', 'vrv' ),



						'before_widget' => '<div >',



						'after_widget' => "</div>",



						'before_title' => '<h4 class="widget-title">',



						'after_title' => '</h4>',



					)



				);



			  }



add_action( 'widgets_init', 'my_custom_footer1' );




function my_custom_sidebar() {



    register_sidebar(



        array (



            'name' => __( 'Sidebar', 'vrv' ),



            'id' => 'custom-side-bar',



            'description' => __( 'Custom Sidebar', 'vrv' ),



            'before_widget' => '<div class="widget">',



            'after_widget' => "</div>",



            //'before_title' => '<h3 class="widget-title">',



            //'after_title' => '</h3>',



        )



    );



}



add_action( 'widgets_init', 'my_custom_sidebar' );


function test_input($data) {







			  $data = trim($data);







			  $data = stripslashes($data);







			  $data = htmlspecialchars($data);







			  return $data;







	    }



function validate_mobile($mobile)


{


    return preg_match("/^[0-9]+$/i", $mobile);


}



function wpb_set_post_views($postID) {



$count_key = 'wpb_post_views_count';



$count = get_post_meta($postID, $count_key, true);



if($count==''){



    $count = 0;



    delete_post_meta($postID, $count_key);



    add_post_meta($postID, $count_key, '0');



}else{



    $count++;



    update_post_meta($postID, $count_key, $count);



}}



//To keep the count accurate, lets get rid of prefetching



remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);







//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////








function wpb_sender_email( $original_email_address ) {



    return get_bloginfo('admin_email');



}







// Function to change sender name







function wpb_sender_name( $original_email_from ) {


    return 'VRV Consulting Services';


}




add_filter( 'wp_mail_from', 'wpb_sender_email' );







add_filter( 'wp_mail_from_name', 'wpb_sender_name' );





/////////////////////////////////////////////////////////////



///////////////////////////////////////////////////////////

add_action( 'admin_menu', 'remove_admin_menus' );



function remove_admin_menus() {

    remove_menu_page( 'edit-comments.php' );

	//remove_menu_page( 'edit.php?post_type=gallery' );

	//remove_menu_page( 'edit.php?post_type=courses' );

	

	//remove_menu_page( 'edit.php?post_type=webinar' );

	

	//remove_menu_page( 'edit.php?post_type=faq' );

	//remove_menu_page( 'edit.php?post_type=about' );

	//remove_menu_page( 'edit.php?post_type=branding' );
	//remove_menu_page( 'edit.php?post_type=cptui_manage_post_types' );

	//remove_menu_page( 'edit.php?post_type=acf-field-group' );
	
	
	//remove_action( 'admin_menu', 'cptui_plugin_menu' );

	//remove_menu_page( 'edit.php?post_type=superpwa' );

	remove_menu_page( 'link-manager.php' );

	remove_menu_page( 'update-core.php' );

	//remove_menu_page( 'edit.php?post_type=page' );

	remove_menu_page( 'edit.php' );

	 
	//remove_menu_page( 'plugins.php' );

	
   // /*

    //remove_menu_page( 'tools.php' );

    

    //remove_menu_page( 'users.php' );

    //remove_menu_page( 'options-general.php' );

    //remove_menu_page( 'upload.php' );

    

    

    /*remove_menu_page( 'themes.php' );*/

}

//////////////////////////////////////////////////////////////////////////



/*add_action( 'init', 'build_taxonomiesevent', 0 );

function build_taxonomiesevent() {

    register_taxonomy( 'productcategories', 'products', array( 'hierarchical' => true, 'label' => 'Product Categories', 'query_var' => true, 'rewrite' => true ) );

}*/
remove_filter( 'acf_the_content', 'wpautop' );

//for portal

function get_avatar_url1($get_avatar){
    preg_match("/src='(.*?)'/i", $get_avatar, $matches);
    return $matches[1];
}
/*add_action( 'init', 'log_out_user' );function log_out_user() {
global $wp;
$url="http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']; //get current page url
$surl=site_url('logout');
$current_slug = $wp->request;;
//echo $url;echo get_current_user_id();
if(!empty(get_current_user_id()) && $url == $surl ) //check if user is logged in and current page url
{
    //echo 8;
	wp_logout(); //this will logout user
    $siteUrl = site_url(); //get site url 
    wp_redirect($siteUrl);//add this if you want to redirect to site url after logout
}}*/
	
/*function plt_hide_custom_post_type_ui_menus() {
	
	remove_menu_page('cptui_main_menu');
	
	remove_submenu_page('cptui_main_menu', 'cptui_manage_post_types');
	
	remove_submenu_page('cptui_main_menu', 'cptui_manage_taxonomies');
	
	remove_submenu_page('cptui_main_menu', 'cptui_listings');
	
	remove_submenu_page('cptui_main_menu', 'cptui_tools');
	
	remove_submenu_page('cptui_main_menu', 'cptui_support');
	
	remove_submenu_page('cptui_main_menu', 'cptui_main_menu');
}

add_action('admin_menu', 'plt_hide_custom_post_type_ui_menus', 11);*/


//////////////////////////////////////////////////////////////////////////


function custom_modify_admin_menu() {

    global $submenu;
    
    // Create a new parent menu item
    add_menu_page(
        'Services',  // Menu title
        'Services',  // Page title
        'edit_posts',         // Capability required to access
        'services',  // Menu slug
        '',                   // Callback function (leave empty)
        'dashicons-admin-generic',  // Icon (you can change this)
        20                    // Menu position
    );

    // Add your custom post types as submenu items
    $submenu['services'][] = array(
        'Services',               // Submenu title
        'edit_posts',          // Capability required to access
        'edit.php?post_type=service'  // URL to the "Books" custom post type
    );
    $submenu['services'][] = array(
        'Service Widget Attributes',              // Submenu title
        'edit_posts',          // Capability required to access
        'edit.php?post_type=service-section'  // URL to the "Movies" custom post type
    );
	
	 // Remove the separate menu items for "Books" and "Movies"
   remove_menu_page('edit.php?post_type=service');
   remove_menu_page('edit.php?post_type=service-section');
   remove_menu_page('edit.php?post_type=service-list-widget');
}
add_action('admin_menu', 'custom_modify_admin_menu');



function custom_modify_admin_menu1() {
    global $submenu;
    
    // Create a new parent menu item
    add_menu_page(
        'Gallery',  // Menu title
        'Gallery',  // Page title
        'edit_posts',         // Capability required to access
        'galleries',  // Menu slug
        '',                   // Callback function (leave empty)
        'dashicons-admin-generic',  // Icon (you can change this)
        20                    // Menu position
    );

    // Add your custom post types as submenu items
    $submenu['galleries'][] = array(
        'Gallery',               // Submenu title
        'edit_posts',          // Capability required to access
        'edit.php?post_type=gallery'  // URL to the "Books" custom post type
    );
    $submenu['galleries'][] = array(
        'Gallery Widget in Home',              // Submenu title
        'edit_posts',          // Capability required to access
        'edit.php?post_type=gallery_section'  // URL to the "Movies" custom post type
    );
	/*$submenu['products'][] = array(
        'Products Banner Widget',              // Submenu title
        'edit_posts',          // Capability required to access
        'edit.php?post_type=product-list-banner'  // URL to the "Movies" custom post type
    );*/
	 // Remove the separate menu items for "Books" and "Movies"
   remove_menu_page('edit.php?post_type=gallery');
   remove_menu_page('edit.php?post_type=gallery_section');
   //remove_menu_page('edit.php?post_type=product-list-banner');
}
add_action('admin_menu', 'custom_modify_admin_menu1');
////////////////////////////////////////////////////////
function custom_modify_admin_menu2() {
    global $submenu;
    
    // Create a new parent menu item
    add_menu_page(
        'Blog',  // Menu title
        'Blog',  // Page title
        'edit_posts',         // Capability required to access
        'blogs',  // Menu slug
        '',                   // Callback function (leave empty)
        'dashicons-admin-generic',  // Icon (you can change this)
        20                    // Menu position
    );

    // Add your custom post types as submenu items
    $submenu['blogs'][] = array(
        'Blog',               // Submenu title
        'edit_posts',          // Capability required to access
        'edit.php?post_type=blog'  // URL to the "Books" custom post type
    );
    $submenu['blogs'][] = array(
        'Blog Widget in Home',              // Submenu title
        'edit_posts',          // Capability required to access
        'edit.php?post_type=blog_section'  // URL to the "Movies" custom post type
    );
	/*$submenu['products'][] = array(
        'Products Banner Widget',              // Submenu title
        'edit_posts',          // Capability required to access
        'edit.php?post_type=product-list-banner'  // URL to the "Movies" custom post type
    );*/
	 // Remove the separate menu items for "Books" and "Movies"
   remove_menu_page('edit.php?post_type=blog');
   remove_menu_page('edit.php?post_type=blog_section');
   //remove_menu_page('edit.php?post_type=product-list-banner');
}
add_action('admin_menu', 'custom_modify_admin_menu2');
//////////////////////////////////////////////////////////////////////
function enqueue_ajax_scripts() {
    // Enqueue jQuery and your custom script for handling AJAX.
    wp_enqueue_script( 'jquery' );
    //if ( is_page( 'blog' ) ) {
		wp_enqueue_script( 'case-ajax-script', get_template_directory_uri() . '/assets/tools/casestudy.js', array( 'jquery' ), '1.0', true );
		// Localize the script to make WordPress data available in JavaScript.
		wp_localize_script( 'case-ajax-script', 'case_object', array(
			'ajax_url' => admin_url( 'admin-ajax.php' ),
			'security' => wp_create_nonce( 'case-ajax-nonce' ),
			//'siteurl' => site_url(),
		));
	 //}	
	
	
}
add_action( 'wp_enqueue_scripts', 'enqueue_ajax_scripts' );
/////////////////////////////////////////////////////////////////////////////////
function theme_stylesheets_script() {
    wp_register_style( 'bootstrap-min',  get_template_directory_uri() .'/assets/css/bootstrap.min.css', array(), null, 'all' );
    wp_register_style( 'font-awesome',  get_template_directory_uri() .'/assets/css/font-awesome.min.css', array(), null, 'all' );
	wp_register_style( 'themify-icons',  get_template_directory_uri() .'/assets/css/themify-icons.css', array(), null, 'all' );
	wp_register_style( 'elegant-icons',  get_template_directory_uri() .'/assets/css/elegant-icons.css', array(), null, 'all' );
    wp_register_style( 'flaticon-set',  get_template_directory_uri() .'/assets/css/flaticon-set.css', array(), null, 'all' );
	wp_register_style( 'magnific-popup',  get_template_directory_uri() .'/assets/css/magnific-popup.css', array(), null, 'all' );
	wp_register_style( 'owl.carousel',  get_template_directory_uri() .'/assets/css/owl.carousel.min.css', array(), null, 'all' );
    wp_register_style( 'owl.theme.default',  get_template_directory_uri() .'/assets/css/owl.theme.default.min.css', array(), null, 'all' );
	wp_register_style( 'animate',  get_template_directory_uri() .'/assets/css/animate.css', array(), null, 'all' );
	wp_register_style( 'bootsnav',  get_template_directory_uri() .'/assets/css/bootsnav.css', array(), null, 'all' );
    wp_register_style( 'style',  get_template_directory_uri() .'/assets/style.css', array(), null, 'all' );
	wp_register_style( 'responsive',  get_template_directory_uri() .'/assets/css/responsive.css', array(), null, 'all' );
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	 /*   REGISTER ALL JS FOR SITE */
    wp_register_script('jquery-3.6.0.min',get_stylesheet_directory_uri().'/assets/js/jquery-3.6.0.min.js');
    wp_register_script('popper.min',get_stylesheet_directory_uri().'/assets/js/popper.min.js');
    wp_register_script('bootstrap.min',get_stylesheet_directory_uri().'/assets/js/bootstrap.min.js');
    wp_register_script('jquery.appear',get_stylesheet_directory_uri().'/assets/js/jquery.appear.js');
    wp_register_script('jquery.easing.min',get_stylesheet_directory_uri().'/assets/js/jquery.easing.min.js');
    wp_register_script('jquery.magnific-popup.min',get_stylesheet_directory_uri().'/assets/js/jquery.magnific-popup.min.js');
    wp_register_script('modernizr.custom.13711',get_stylesheet_directory_uri().'/assets/js/modernizr.custom.13711.js');
    wp_register_script('owl.carousel.min',get_stylesheet_directory_uri().'/assets/js/owl.carousel.min.js');
    wp_register_script('wow.min',get_stylesheet_directory_uri().'/assets/js/wow.min.js');
    wp_register_script('progress-bar.min',get_stylesheet_directory_uri().'/assets/js/progress-bar.min.js');
    wp_register_script('isotope.pkgd.min',get_stylesheet_directory_uri().'/assets/js/isotope.pkgd.min.js');
	wp_register_script('imagesloaded.pkgd.min',get_stylesheet_directory_uri().'/assets/js/imagesloaded.pkgd.min.js');
    wp_register_script('count-to',get_stylesheet_directory_uri().'/assets/js/count-to.js');
    wp_register_script('YTPlayer.min',get_stylesheet_directory_uri().'/assets/js/YTPlayer.min.js');
	wp_register_script('bootsnav',get_stylesheet_directory_uri().'/assets/js/bootsnav.js');
    wp_register_script('main_js',get_stylesheet_directory_uri().'/assets/js/main.js');
	////////////////////////////////////////////////////////////////////////////////////////////////////
	
	wp_enqueue_style( 'bootstrap-min' );
    wp_enqueue_style( 'font-awesome' );
    wp_enqueue_style( 'themify-icons' );
	wp_enqueue_style( 'elegant-icons' );
    wp_enqueue_style( 'flaticon-set' );
    wp_enqueue_style( 'magnific-popup' );
	wp_enqueue_style( 'owl.carousel' );
    wp_enqueue_style( 'owl.theme.default' );
    wp_enqueue_style( 'animate' );
	wp_enqueue_style( 'bootsnav' );
    wp_enqueue_style( 'style' );
    wp_enqueue_style( 'responsive' );
	
	
    //wp_register_style( 'mamies-wafers-style', get_stylesheet_uri(), '', null, 'all' );
    wp_enqueue_script( 'jquery-3.6.0.min' );
    wp_enqueue_script( 'popper.min' );
    wp_enqueue_script( 'bootstrap.min' );
	wp_enqueue_script( 'jquery.appear' );
    wp_enqueue_script( 'jquery.easing.min' );
    wp_enqueue_script( 'jquery.magnific-popup.min' );
	wp_enqueue_script( 'modernizr.custom.13711' );
    wp_enqueue_script( 'owl.carousel.min' );
    wp_enqueue_script( 'wow.min' );
	wp_enqueue_script( 'progress-bar.min' );
    wp_enqueue_script( 'isotope.pkgd.min' );
    wp_enqueue_script( 'count-to' );
	wp_enqueue_script( 'YTPlayer.min' );
    wp_enqueue_script( 'bootsnav' );
    wp_enqueue_script( 'main_js' );
	
	
}
add_action( 'wp_enqueue_scripts', 'theme_stylesheets_script' );